Link invoice to shipment
curl --request POST \
--url https://api.upwell.com/api/rest/invoice_shipments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceId": "<string>",
"shipmentId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/invoice_shipments"
payload = {
"invoiceId": "<string>",
"shipmentId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoiceId: '<string>', shipmentId: '<string>'})
};
fetch('https://api.upwell.com/api/rest/invoice_shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"insertInvoiceShipmentsOne": {
"createdAt": "<unknown>",
"invoiceId": "<string>",
"shipmentId": "<string>"
}
}{
"error": "Not-NULL violation. null value in column \"shipment_id\" of relation \"shipments\" violates not-null constraint",
"code": "constraint-violation"
}Invoice Shipments
Link invoice to shipment
Create an association between an invoice and a shipment.
POST
/
api
/
rest
/
invoice_shipments
Link invoice to shipment
Authorizations
Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.
Query Parameters
"invoiceId" is required (enter it either in parameters or request body)
"shipmentId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
Responses for POST /api/rest/invoice_shipments
columns and relationships of "invoice_shipments"
Show child attributes
Show child attributes
⌘I

